XCode 3.1.1?

Discussion in 'Mac Programming' started by Aranince, Oct 26, 2008.

  1. Aranince macrumors 65816

    Joined:
    Apr 18, 2007
    Location:
    California
    #1
    I installed XCode from the installation disc, but it's only version 3.0. Is there a patch I can download, or do I have to download the full version?
     
  2. Cromulent macrumors 603

    Cromulent

    Joined:
    Oct 2, 2006
    Location:
    The Land of Hope and Glory
    #2
    Download the full version. That is why I have stopped recommending people use the Xcode on the install DVD.

    I wish Apple would release patches but the system is probably to complicated to patch in a reliable manner.
     
  3. Aranince thread starter macrumors 65816

    Joined:
    Apr 18, 2007
    Location:
    California
    #3
    Ok, thanks. Do I need to uninstall/delete the old version?
     
  4. Cromulent macrumors 603

    Cromulent

    Joined:
    Oct 2, 2006
    Location:
    The Land of Hope and Glory
    #4
    Yeah best to. There is an uninstall script provided. Read the Readme in /Developer.
     
  5. Sayer macrumors 6502a

    Sayer

    Joined:
    Jan 4, 2002
    Location:
    Austin, TX
    #5
    You can install Xcode in different folders now with 3.1.x.

    The 3.1.1 is really meant for iPhone DEV and it totally messes up projects from 3.0 Xcode if you go back and forth on different machines for any reason.

    Basically you have to commit to only 3.1 or 3.0 and not mix and match them as it will drive you nuts trying to get projects to build the same on either.
     
  6. Cromulent macrumors 603

    Cromulent

    Joined:
    Oct 2, 2006
    Location:
    The Land of Hope and Glory
    #6
    You can set which versions of Xcode the project is meant for in the project settings window. If you switch a lot it is probably best to keep all your projects in Xcode 3.0 mode. But I would still probably use the latest version of Xcode just for the bug fixes.
     

Share This Page